Package org.apache.commons.math3.optimization

# Interface MultivariateOptimizer

All Superinterfaces:
  `BaseMultivariateOptimizer<MultivariateFunction>`, `BaseOptimizer<PointValuePair>`

All Known Implementing Classes:
  `BOBYQAOptimizer`, `CMAESOptimizer`, `MultivariateMultiStartOptimizer`, `PowellOptimizer`, `SimplexOptimizer`

@Deprecated public interface MultivariateOptimizer extends BaseMultivariateOptimizer<MultivariateFunction>
Deprecated.
As of 3.1 (to be removed in 4.0).
This interface represents an optimization algorithm for `scalar objective functions`.

Optimization algorithms find the input point set that either `maximize or minimize` an objective function.

Since:
  2.0
See Also:
  - `MultivariateDifferentiableOptimizer`
  - `MultivariateDifferentiableVectorOptimizer`

## Method Summary

### Methods inherited from interface org.apache.commons.math3.optimization.BaseMultivariateOptimizer

`optimize`

### Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer

`getConvergenceChecker, getEvaluations, getMaxEvaluations`